User avatar
By macray
#392131
I'm not sure if the current plugin version is supposed to support R18 already, but whatever I tried I always get crashes...

is there an idea when we can expect a new plugin version? Is this foreseen already?
By JDHill
#392132
Can you please provide some details on your OS (type, version), the exact version of Cinema & plugin you are using, and when/how it crashes? I am running the 3.2.5 plugin here without issues on Cinema R18.020, win10 and osx10.11.6.
User avatar
By macray
#392137
Hi JD,

I installed the latest Maxwell version with the latest cinemaxwell plugin and the latest Cinema4D Version with the most recent updates to make sure this should work.

opening a model and rendering in Cinema is fine.
rendering in Maxwell results in a long time of 'writing materials...' and then nothing happens anymore.
I have to shoot Maxwell/ Cinema and restart it to make it work again.

even just creating a cube and hitting 'fire' or any of the render buttons gets me the same result.

testing the same in R17 - works as a treat...

Windows 10 Pro
By JDHill
#392145
So to clarify, have you seen any actual crashes, or only hangs? I'll look into the code after that message is printed and try to see if I can find a cause. Do you have any other plugins installed, and if so, have you tried temporarily uninstalling them?
User avatar
By macray
#392148
yes, I have other plugins installed, will check later without them when I got the time to do so.
By Armbandino
#392672
JDHill wrote:Thanks, I confirm that, and will look into the cause.
Do you know about a update for the plugin? I have the same problem and it's very annoying.

Thanks!
By verhoeven
#392796
tx, its working here too.

Something else, since we will not be updating to V4 (we are on OSX) will you be sustaining support for R18 in combination with Maxwell V3 and its plugins ?
Hope so.
By JDHill
#392797
I'm not sure what you mean -- the plugin mentioned above is a Maxwell V3 plugin, which supports R18.
By verhoeven
#392952
Just a little concerned that since V4 is out support for V3 will be less of a priority for NL.

As a Mac user I don't see advantage updating to V4 any time soon so we depend on V3 to work with future updates of R18 and OSX Sierra as well.
By JDHill
#392959
Basically, development on one version ends when the next version is released, though as we see in this thread, there can be some slight overlap. Cinema R18 updates will not break the existing v3 plugin, but by the time R19 is released, it is likely that the code in Cinema, the plugin, and macos will have diverged such as to make building a v3-compatible plugin feasibly impossible. Simply put, it should be seen as surprising if another v3-series plugin, beyond the one mentioned in this thread, were to be built/released.

Very nice! Good impression of the oily specular on[…]

NVIDIA RTX GPU Cards

Is it just me, or do those interior archviz examp[…]

Dmitriy, it looks like NL has no resources to go a[…]

Rhinoceros 6 support

agreed. at this point for workflow i'd take export[…]